API7 Docs
API7 GatewayAPI7 Enterprise Admin APIsList Developers

List Developers

GET /api/developers

GET /api/developers

Interactive request editor loads with JavaScript.

Authorization

X-API-KEY<token>

In: header

Query Parameters

page?integer

Page number of the listed resources. Used together with page_size. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.

Formatint32
Range1 <= value
page_size?integer

Number of resources listed per page. Used together with page. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.

Formatint32
Range1 <= value
direction?string

Order to list the resources by. The sorting index follows the configuration of order_by.

Default"desc"

Value in

  • "asc"
  • "desc"
order_by?string

Index to order developers by.

Default"last_active_at"

Value in

  • "last_active_at"
  • "created_at"
search?string

Condition to search resources by.

portal_id?string

The unique identifier of the portal instance.

Match^[a-zA-Z0-9-_.]+$
Length1 <= length <= 256
Default"default"

Response Body

application/json

application/json

curl -X GET "$API_BASE_URL/api/developers?search=version%253Dv2"

Successfully retrieved the paginated list of developer users.

{
  "total": 1,
  "list": [
    {
      "username": "dev1",
      "name": "dev one",
      "last_active_at": 1742288233,
      "id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
      "portal_id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
      "created_at": 1742288232,
      "updated_at": 1742288235,
      "state": "Pending"
    }
  ]
}
Complete operation details and schema variants

GET /api/developers

List Developers

IAM Action: portal:GetDeveloper, Resource: arn:api7:portal:portal/%s/developer/%s

Parameters

  • page (query, integer, optional): Page number of the listed resources. Used together with page_size. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
  • page_size (query, integer, optional): Number of resources listed per page. Used together with page. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
  • direction (query, string, optional): Order to list the resources by. The sorting index follows the configuration of order_by.
  • order_by (query, string, optional): Index to order developers by.
  • search (query, string, optional): Condition to search resources by.
  • portal_id (query, string, optional): The unique identifier of the portal instance.

Responses

  • 200: Successfully retrieved the paginated list of developer users.
  • allOf variant 1
  • list (array, optional): An array of resources.
  • total (integer, optional): Total number of objects.
  • allOf variant 2
  • list (array, optional): An array of Developer user.
  • allOf variant 1
  • list[].username (string, optional): Unique developer username.
  • list[].name (string, optional): Developer name.
  • list[].last_active_at (integer, optional): Developer last active timestamp.
  • allOf variant 2
  • list[].id (string, optional): Developer ID.
  • list[].portal_id (string, optional): The object ID.
  • list[].created_at (integer, optional): The object created timestamp.
  • list[].updated_at (integer, optional): The object updated timestamp.
  • list[].state (string, optional): The state of the member.
  • Pending: The user is pending approval.
  • Active: The user had been approved.
  • 400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
  • value (object, optional): The specific resource.
  • error_msg (string, optional): The error message.

cURL

curl -X GET '$API_BASE_URL/api/developers'